Subject: Re: reducing prune sync()s

From: "Frank Ch. Eigler" <[email-masked]>
Date: Thu, 29 May 2008 21:50:43 -0400

Hi --

On Thu, May 29, 2008 at 05:32:30PM -0700, Linus Torvalds wrote:

> [...]  Side note: a lot of systems make "fsync()" pretty expensive
> too. It's one of my main disagreements with most log-based
> filesystems - fsync() can in theory be fast, but almost always
> implies flushing the whole log, even if 99.9% of that log is totally
> unrelated to the actual file you want to fsync(). [...]

The scenario where I ran into this was different: a usb-drive
filesystem was busy running receiving backups, collecting, oh, several
GB of dirty data, while git was working on a normal local disk on a
separate filesystem.  The system-wide git sync unnecessarily blocked
on the usb filesystem too.

- FChE